=== snesshader/Makefile ===
install:
	mkdir -p ~/.config/bsnes/shaders
	chmod 777 ~/.config/bsnes/shaders
	cp *.shader ~/.config/bsnes/shaders
