=== debian/control ===
Source: bsnes
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Build-Depends: debhelper (>= 9),
               libgtk2.0-dev,
               libsdl1.2-dev,
               libpulse-dev,
               libopenal-dev,
               libao-dev,
               libxv-dev,
               libasound2-dev [linux-any],
               gcc (>= 4:4.6)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-games/bsnes.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/bsnes.git
Homepage: http://byuu.org/bsnes/

Package: bsnes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: laevateinn
Description: Accurate SNES/SuperFamicom emulator
 bsnes is an emulator that focuses on accuracy, debugging functionality, and
 clean code. bsnes does not include speed and game-specific hacks for
 compatibility, and as a result the minimum system requirements are very high.
 .
 There are three profiles that differ in the amount of accuracy and required
 system resources. Which profile to use can be set with:
 .
 # update-alternatives --config bsnes-bin
 .
 Although not as polished as the SNES emulation (yet), there is also support
 for NES, Gameboy, Gameboy Color and Gameboy Advance games.
 .
 This package also contains bsnes-purify, a command line tool for preparing
 ROMs for usage with bsnes.

Package: laevateinn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: bsnes
Description: bsnes SNES/SuperFamicom debugger
 laevateinn is a debugger for SNES/SuperFamicom games based on the bsnes 
 emulator. It is intended for developers creating or modifying SNES games.
